Delete API key
The method allows you to delete the user's API key
Request:
Parameter
Required
Type
Description
userId
Yes
String
User ID
keyId
Yes
String
Api key ID
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
The body of the api key deletion request
userIdstringOptionalExample:
User ID
ff72f744-beda-4cc4-8b44-2b3deb584f99organizationIdstringOptionalExample:
Organization ID
2a06421c-edae-4df1-9851-17d6479449e2keyIdstringOptionalExample:
API key ID
4700bddb-b200-40b5-bf06-954ded3867fdResponses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
responsenullRequired
The body of the api key deletion response
post/partner/api/delete-api-keys
POST /partner/api/delete-api-keys HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 152
{
"userId": "ff72f744-beda-4cc4-8b44-2b3deb584f99",
"organizationId": "2a06421c-edae-4df1-9851-17d6479449e2",
"keyId": "4700bddb-b200-40b5-bf06-954ded3867fd"
}200Success
{
"success": true,
"response": null
}Last updated